#
# spec file for package perl-Math-Int64
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Math-Int64
Version:        0.54
Release:        1.20
%define cpan_name Math-Int64
Summary:        Manipulate 64 bits integers in Perl
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SALVA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}
# MANUAL BEGIN
Requires:       perl-base = %{perl_version}
# MANUAL END

%description
This module adds support for 64 bit integers, signed and unsigned, to Perl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc c_api.decl Changes examples README.md
%license COPYING

%changelog
* Wed Jan  6 2016 coolo@suse.com
- updated to 0.54
  see /usr/share/doc/packages/perl-Math-Int64/Changes
  0.54     2016-01-04
  - don't use the reserved preprocessor macro __INT64 which was
    causing a conflict in Cygwin (bug report by Graham Ollis)
* Fri May 15 2015 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-Math-Int64/Changes
  0.53     2015-05-14
  - warn when both native_if_available and die_on_overflow are
    enabled (bug report by David Wheeler).
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.52
  see /usr/share/doc/packages/perl-Math-Int64/Changes
* Tue Feb 17 2015 coolo@suse.com
- initial package 0.34
  * created by cpanspec 1.78.08
